## d-itg 2.7.0~beta2

=== src/Makefile ===
#   D-ITG Main Makefile

###################
# Dynamic Options #
###################

# Enable SCTP support if specified on command line (requires kernel version >= 2.5.15)
ifdef sctp
	CXXOPT += -DSCTP
	LDOPT  += -lsctp
endif

# Enable DCCP support if specified on command line (requires kernel version >= 2.6.14-rc1)
ifdef dccp
	CXXOPT += -DDCCP
endif

# Enable ARM support
ifdef arm
	CXXOPT += -DARM
endif

# Set debug level as specified on command line (debug level may be increased to have more information)
ifdef debug
	CXXOPT += -DDEBUG=$(debug) -ggdb
endif

# Enable OnOff traffic types if specified on command line.
ifdef onoff
	CXXOPT += -DONOFF
endif

##################
# Static options # 
##################

# OS options
OS := $(shell uname)
ifeq "$(OS)" "Linux"
    OS := -DLINUX_OS
endif
ifeq "$(OS)" "FreeBSD"
    OS := -DLINUX_OS -DBSD
endif

export OS
export RM = rm -f
export CP = cp
export MV = mv
export SUFFIX =
export CXXFLAGS = $(CXXOPT) $(OS) -Wall -Wno-deprecated -fPIC
export LDFLAGS = -lpthread $(LDOPT)
export BASEDIR = $(shell pwd)
export BIN = $(BASEDIR)/../bin/
export COMMON = $(BASEDIR)/common/
export NRCLEAN = $(BASEDIR)/ITGSend/newran/
export EXEC_DIR = /usr/local/bin

ifndef CXX
	CXX = g++
endif
ifndef RANLIB
	export RANLIB = ranlib
endif

export THOBJS = common/thread.o
export OBJS = common/ITG.o common/timestamp.o common/serial.o
SUBDIRS = ITGSend ITGRecv ITGLog ITGDec libITG ITGManager

#################
# Generic Rules #
#################

.PHONY: $(SUBDIRS)
all: $(SUBDIRS)
	@ echo '-----------------------------------------------------------------------------------'
	@ echo 'D-ITG executables created in "bin" folder'
ifndef dccp
	@ echo 'To enable DCCP support add "dccp=on" option to make command line'
else
	@ echo 'DCCP support enabled'
endif
ifndef sctp
	@ echo 'To enable SCTP support add "sctp=on" option to make command line'
else
	@ echo 'SCTP support enabled'
endif
ifndef arm
	@ echo 'To enable ARM support add "arm=on" option to make command line'
else
	@ echo 'ARM support enabled'
endif
ifndef debug
	@ echo 'To enable DEBUG mode (verbosity level *) add "debug=*" option to make command line'
else
	@ echo 'DEBUG mode enabled (verbosity level = '$(debug)')'
endif
ifndef onoff
	@ echo 'To enable ON/OFF traffic types add "onoff=on" option to make command line'
else
	@ echo 'ON/OFF traffic types enabled'
endif
	@ echo -e 'NOTE: To change options type: make clean all [options]' 


ITGSend ITGRecv ITGLog ITGDec libITG: $(THOBJS) $(OBJS)
	@ (cd $@ && $(MAKE))

ITGManager:
	@ (cd $@ && $(MAKE))

install:
	(cd ITGSend && $(MAKE) install)
	(cd ITGRecv && $(MAKE) install)
	(cd ITGLog && $(MAKE) install)
	(cd ITGDec && $(MAKE) install)
	(cd ITGManager && $(MAKE) install)

uninstall:
	(cd /usr/local/bin && rm ITGSend ITGRecv ITGLog ITGDec ITGManager)
	
clean:
	$(RM) "$(COMMON)"*.o
	(cd ITGSend && $(MAKE) clean)
	(cd ITGRecv && $(MAKE) clean)
	(cd ITGLog && $(MAKE) clean)
	(cd ITGDec && $(MAKE) clean)
	(cd libITG && $(MAKE) clean)
	(cd ITGManager && $(MAKE) clean)

=== src/ITGDec/Makefile ===
CFLAGS = $(subst -O2,-O0,$(CXXFLAGS))

all:   ITGDec 

ITGDec:  ITGDecod.cpp
	$(CXX) $(CFLAGS) ITGDecod.cpp -lm -o $@$(SUFFIX) $(LDFLAGS)
	$(MV) $@$(SUFFIX) "$(BIN)"

#ITGDec-23:  ITGDecod.cpp
#	$(CXX) $(CXXFLAGS) ITGDecod.cpp -lm -DV23 -o $@$(SUFFIX) $(LDFLAGS)
#	$(CP) $@$(SUFFIX) "$(BIN)"

clean:
	$(RM) *.o ITGDec$(SUFFIX) "$(BIN)"ITGDec*
#	$(RM) *.o ITGDec-23$(SUFFIX) "$(BIN)"ITGDec-23$(SUFFIX)

=== src/ITGLog/Makefile ===
all:   ITGLog
OBJS = ../common/ITG.o ../common/timestamp.o ../$(THOBJS) channel.o

ITGLog: ../common/ITG.h ITGLog.cpp $(OBJS)
	$(CXX) $(CXXFLAGS) $(OBJS) ITGLog.cpp -o $@$(SUFFIX) $(LDFLAGS)
	$(MV) $@$(SUFFIX) "$(BIN)"

clean:
	$(RM) *.o ITGLog$(SUFFIX) "$(BIN)"ITGLog$(SUFFIX)

=== src/ITGRecv/Makefile ===
all:   ITGRecv

OBJS = ../common/ITG.o ../common/timestamp.o ../common/serial.o ../common/pipes.o ../$(THOBJS) data.o

ITGRecv: ../common/ITG.h ITGRecv.cpp $(OBJS)
	$(CXX) $(CXXFLAGS) $(OBJS) ITGRecv.cpp -o $@$(SUFFIX) $(LDFLAGS)
	$(MV) $@$(SUFFIX) "$(BIN)"

clean:
	$(RM) *.o ITGRecv$(SUFFIX) "$(BIN)"ITGRecv$(SUFFIX)

=== src/ITGSend/Makefile ===
NRDIR = newran
OBJS = ../common/serial.o ../common/ITG.o ../common/timestamp.o ../$(THOBJS) traffic.o ../common/pipes.o

all:   ITGSend

ITGSend: ../common/ITG.h ITGSend.cpp $(NRDIR)/libnewran.a $(OBJS)
	$(CXX) $(CXXFLAGS) -I$(NRDIR) -L$(NRDIR) $(OBJS) ITGSend.cpp -lnewran -o $@$(SUFFIX) $(LDFLAGS)
	$(MV) $@$(SUFFIX) "$(BIN)"

$(NRDIR)/libnewran.a: newran
	$(MAKE) -C $(NRDIR) -ef nr_gnu.mak $(@F)

newran:
#	mkdir newran; cd newran; tar xzf ../newran03.tar.gz; cd ..

clean:
	$(RM) *.o ITGSend$(SUFFIX) "$(BIN)"ITGSend$(SUFFIX)
	$(RM) $(NRDIR)/*.o $(NRDIR)/*.a

=== src/libITG/Makefile ===
ifdef LINUX_OS
	PIC := -fPIC
endif

all:   libITG.so

libITG.so: ITGapi.h ITGapi.cpp
	$(CXX) $(CXXFLAGS) $(PIC) -shared -o $@ ITGapi.cpp ../$(THOBJS) $(LDFLAGS)
	$(MV) $@ "$(BIN)"

clean:
	$(RM) *.o libITG.so "$(BIN)"libITG.so

## d-itg 2.7.0~beta2-debian1

=== debian/changelog ===
d-itg (2.7.0~beta2-debian1-3) unstable; urgency=low

  * debian/rules: Fixed override_dh_auto_build bug
  * debian/control: Standards-Version: 3.9.2
  * removed debian/README.source (simplified packaging)

 -- Roland Stigge <stigge@antcom.de>  Mon, 11 Jul 2011 20:43:40 +0200

d-itg (2.7.0~beta2-debian1-2) unstable; urgency=low

  * Added documentation source from upstream in
    d-itg_2.7.0~beta2-debian1.orig-doc.tar.bz2 -> doc/*
  * Sorted out licensing issues with upstream for ITGPlot and newran
  * debian/control:
    - Build-Depends: texlive for building Documentation
   
 -- Roland Stigge <stigge@antcom.de>  Sun, 12 Dec 2010 13:18:47 +0100

d-itg (2.7.0~beta2-debian1-1) unstable; urgency=low

  * Initial release (Closes: #593831)

 -- Roland Stigge <stigge@antcom.de>  Fri, 20 Aug 2010 17:25:28 +0200

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	# Empty configuration

override_dh_auto_build:
	make -C src sctp=on dccp=on arm=on onoff=on
	# pdflatex needs several runs to get TOC correctly
	cd doc && for i in seq 3 ; do pdflatex d-itg-manual.tex ; done

override_dh_auto_clean:
	make -C src clean
	-rm -f bin/*
	-cd doc && rm -f *.pdf *.log *.out *.aux *.toc

override_dh_compress:
	dh_compress -X.pdf

## d-itg 2.8.1~rc1

=== src/Makefile ===
--- 
+++ 
@@ -30,9 +30,18 @@
 	CXXOPT += -DONOFF
 endif
 
+# Enable multiport if specified on command line.
+ifdef multiport
+	CXXOPT += -DMULTIPORT
+endif
+
 ##################
 # Static options # 
 ##################
+
+# Version and revision 
+CXXOPT += -DVERSION="\"$(shell cat ../VERSION)\""
+CXXOPT += -DREVISION="\"$(shell cat ../REVISION)\""
 
 # OS options
 OS := $(shell uname)
@@ -42,6 +51,12 @@
 ifeq "$(OS)" "FreeBSD"
     OS := -DLINUX_OS -DBSD
 endif
+ifeq "$(OS)" "Darwin"
+	OS := -DLINUX_OS -DBSD -DOSX
+
+	# Warning! At the moment D-ITG has no support for IPv6 on Apple OSX:
+	CXXOPT += -DNOIPV6
+endif
 
 export OS
 export RM = rm -f
@@ -49,7 +64,7 @@
 export MV = mv
 export SUFFIX =
 export CXXFLAGS = $(CXXOPT) $(OS) -Wall -Wno-deprecated -fPIC
-export LDFLAGS = -lpthread $(LDOPT)
+export LDFLAGS = -lpthread -lm $(LDOPT)
 export BASEDIR = $(shell pwd)
 export BIN = $(BASEDIR)/../bin/
 export COMMON = $(BASEDIR)/common/
@@ -100,6 +115,11 @@
 else
 	@ echo 'ON/OFF traffic types enabled'
 endif
+ifndef multiport
+	@ echo 'To enable MULTIPORT mode types add "multiport=on" option to make command line'
+else
+	@ echo 'MULTIPORT mode enabled'
+endif
 	@ echo -e 'NOTE: To change options type: make clean all [options]'

=== src/ITGDec/Makefile ===
CFLAGS = $(subst -O2,-O0,$(CXXFLAGS))
OBJS = ITGDecod.o ../common/ITG.o

all: ITGDec 

ITGDec:  ITGDecod.cpp $(OBJS)
	$(CXX) $(CFLAGS) $(OBJS) -lm -o $@$(SUFFIX) $(LDFLAGS)
	$(MV) $@$(SUFFIX) "$(BIN)"

clean:
	$(RM) *.o ITGDec$(SUFFIX) "$(BIN)"ITGDec*

=== src/ITGManager/Makefile ===
all: ITGManager

OBJS = ../common/thread.o

ITGManager: ../libITG/ITGapi.h ../libITG/ITGapi.cpp ITGManager.cpp
	$(CXX) $(CXXFLAGS) $(OBJS) ITGManager.cpp ../libITG/ITGapi.cpp -o $@$(SUFFIX) $(LDFLAGS)
	$(MV) $@$(SUFFIX) "$(BIN)"

clean:
	$(RM) *.o ITGManager$(SUFFIX) "$(BIN)"ITGManager$(SUFFIX)

=== src/ITGRecv/Makefile ===
all:   ITGRecv

OBJS = ../common/ITG.o ../common/timestamp.o ../common/serial.o ../common/pipes.o ../$(THOBJS) data.o ITGRecv.o

ITGRecv: ../common/ITG.h ITGRecv.cpp $(OBJS)
	$(CXX) $(CXXFLAGS) $(OBJS)  -o $@$(SUFFIX) $(LDFLAGS)
	$(MV) $@$(SUFFIX) "$(BIN)"

clean:
	$(RM) *.o ITGRecv$(SUFFIX) "$(BIN)"ITGRecv$(SUFFIX)

=== src/ITGSend/Makefile ===
NRDIR = newran
OBJS = ../common/serial.o ../common/ITG.o ../common/timestamp.o ../$(THOBJS) traffic.o ../common/pipes.o ITGSend.o

all:   ITGSend

ITGSend: ../common/ITG.h ITGSend.cpp $(NRDIR)/libnewran.a $(OBJS)
	$(CXX) $(CXXFLAGS) -I$(NRDIR) -L$(NRDIR) $(OBJS) -lnewran -o $@$(SUFFIX) $(LDFLAGS)
	$(MV) $@$(SUFFIX) "$(BIN)"

$(NRDIR)/libnewran.a: newran
	$(MAKE) -C $(NRDIR) -ef nr_gnu.mak $(@F)

newran:
#	mkdir newran; cd newran; tar xzf ../newran03.tar.gz; cd ..

clean:
	$(RM) *.o ITGSend$(SUFFIX) "$(BIN)"ITGSend$(SUFFIX)
	$(RM) $(NRDIR)/*.o $(NRDIR)/*.a

=== debian/changelog ===
d-itg (2.8.1~rc1-3) unstable; urgency=low

  * Reupload to unstable

 -- Roland Stigge <stigge@antcom.de>  Wed, 15 May 2013 21:46:24 +0200

d-itg (2.8.1~rc1-2) experimental; urgency=low

  * Fix build error with new gcc-4.8 and glibc (Closes: #701266)
  * debian/control:
    - Standards-Version: 3.9.4
    - Build-Depends: debhelper (>= 9)
  * debian/compat: 9

 -- Roland Stigge <stigge@antcom.de>  Fri, 15 Mar 2013 19:47:11 +0100

d-itg (2.8.1~rc1-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Tue, 30 Aug 2011 21:41:35 +0200

=== debian/control ===
Source: d-itg
Section: net
Priority: extra
Maintainer: Roland Stigge <stigge@antcom.de>
Build-Depends: debhelper (>= 9), libsctp-dev, texlive
Standards-Version: 3.9.4
Homepage: http://www.grid.unina.it/software/ITG/

Package: d-itg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Distributed Internet Traffic Generator
 D-ITG (Distributed Internet Traffic Generator) is a platform capable to
 produce traffic at packet level accurately replicating appropriate stochastic
 processes for both IDT (Inter Departure Time) and PS (Packet Size) random
 variables (exponential, uniform, cauchy, normal, pareto, ...). D-ITG supports
 both IPv4 and IPv6 traffic generation and it is capable to generate traffic at
 network, transport, and application layer. We believe that D-ITG shows
 interesting properties when compared to other traffic generators.

=== debian/watch ===
version=3
opts=dversionmangle=s/-debian\d+$// http://www.grid.unina.it/software/ITG/download.php codice/D-ITG-(.*)\.tgz

## d-itg 2.8.1

=== src/Makefile ===
# D-ITG Main Makefile
#
# It automatically includes the right mk files depending 
# on the host and the T

# Host OS detection
ifndef OS
	OS := $(shell uname)
endif

# Makefile selection
ifeq ($(OS),Linux)
	ifeq ($(T),win)
		MKFILE := linux-mingw.mk
	else
		MKFILE := unix.mk
	endif
endif
ifeq ($(OS),FreeBSD)
	ifndef T
		MKFILE := unix.mk
	endif
endif
ifeq ($(OS),Darwin)
	ifndef T
		MKFILE := unix.mk
	endif
endif
ifeq ($(OS),Windows_NT)
	ifndef T
		MKFILE := win-mingw.mk
	endif
endif

# Include the right mk file
ifdef MKFILE
	include $(MKFILE)
else
error:
ifdef T
	@ echo "Cross-compiling for $(T) target is not currently supported"
else
	@ echo "$(OS) currently not supported"
endif
endif

# EOF

=== src/ITGDec/Makefile ===
CFLAGS = $(subst -O2,-O0,$(CXXFLAGS))
OBJS = ITGDecod.o ../common/ITG.o

all: ITGDec$(SUFFIX) 

ITGDec$(SUFFIX): ITGDecod.cpp $(OBJS)
ifeq ($(BUILD_ENV),WIN32_MINGW)
	@ echo [ LD ]  $@ ^<- $(OBJS)
else
	@ printf "[ LD ]\t$@ <- $(OBJS)\n"
endif
	@ $(CXX) $(CFLAGS) $(OBJS) -lm -o $@ $(LDFLAGS)
	@ $(CP) $@ $(BIN)

clean:
ifeq ($(BUILD_ENV),WIN32_MINGW)
	@- $(RM) *.o ITGDec$(SUFFIX) $(BIN)\ITGDec$(SUFFIX)
else
	@ $(RM) *.o ITGDec$(SUFFIX) $(BIN)/ITGDec$(SUFFIX)
endif

#---------------
include ../common.mk
#---------------

=== src/ITGLog/Makefile ===
OBJS = ../common/ITG.o ../common/timestamp.o ../$(THOBJS) channel.o ITGLog.o

all:   ITGLog$(SUFFIX)

ITGLog$(SUFFIX): ../common/ITG.h $(OBJS)
ifeq ($(BUILD_ENV),WIN32_MINGW)
	@ echo [ LD ]  $@ ^<- $(OBJS)
else
	@ printf "[ LD ]\t$@ <- $(OBJS)\n"
endif
	@ $(CXX) $(CXXFLAGS) $(OBJS) -o $@ $(LDFLAGS)
	@ $(CP) $@ $(BIN)

clean:
ifeq ($(BUILD_ENV),WIN32_MINGW)
	@- $(RM) *.o ITGLog$(SUFFIX) $(BIN)\ITGLog$(SUFFIX)
else
	@ $(RM) *.o ITGLog$(SUFFIX) $(BIN)/ITGLog$(SUFFIX)
endif

#---------------
include ../common.mk
#---------------

=== src/ITGManager/Makefile ===
all: ITGManager$(SUFFIX)

OBJS = ../common/thread.o ITGManager.o

ITGManager$(SUFFIX): ../libITG/ITGapi.h $(OBJS)
ifeq ($(BUILD_ENV),WIN32_MINGW)
	@ echo [ LD ]  $@ ^<- $(OBJS)
else
	@ printf "[ LD ]\t$@ <- $(OBJS)\n"
endif
	@ $(CXX) $(CXXFLAGS) $(OBJS) -L$(BIN) -lITG -o $@ $(LDFLAGS) 
	@ $(CP) $@ $(BIN)

clean:
ifeq ($(BUILD_ENV),WIN32_MINGW)
	@- $(RM) *.o ITGManager$(SUFFIX) $(BIN)\ITGManager$(SUFFIX)
else
	@ $(RM) *.o ITGManager$(SUFFIX) $(BIN)/ITGManager$(SUFFIX)
endif

#---------------
include ../common.mk
#---------------

=== src/ITGRecv/Makefile ===
OBJS = ../common/ITG.o ../common/timestamp.o ../common/serial.o ../common/pipes.o ../$(THOBJS) data.o ITGRecv.o

all: ITGRecv$(SUFFIX)

ITGRecv$(SUFFIX): ../common/ITG.h ITGRecv.o $(OBJS)
ifeq ($(BUILD_ENV),WIN32_MINGW)
	@ echo [ LD ]  $@ ^<- $(OBJS)
else
	@ printf "[ LD ]\t$@ <- $(OBJS)\n"
endif
	@ $(CXX) $(CXXFLAGS) $(OBJS) -o $@ $(LDFLAGS)
	@ $(CP) $@ $(BIN)

clean:
ifeq ($(BUILD_ENV),WIN32_MINGW)
	@- $(RM) *.o ITGRecv$(SUFFIX) $(BIN)\ITGRecv$(SUFFIX)
else
	@ $(RM) *.o ITGRecv$(SUFFIX) $(BIN)/ITGRecv$(SUFFIX)
endif

#---------------
include ../common.mk
#---------------

=== src/ITGSend/Makefile ===
NRDIR = newran
OBJS := ../$(THOBJS) $(addprefix ../,$(OBJS)) traffic.o ITGSend.o

all: ITGSend$(SUFFIX)

ITGSend$(SUFFIX): ../common/ITG.h libnewran.a $(OBJS)
ifeq ($(BUILD_ENV),WIN32_MINGW)
	@ echo [ LD ]  $@ ^<- $(OBJS) libnewran.a
else
	@ printf "[ LD ]\t$@ <- $(OBJS) libnewran.a\n"
endif
	@ $(CXX) $(CXXFLAGS) -I$(NRDIR) -L$(NRDIR) $(OBJS) -lnewran -o $@ $(LDFLAGS)
	@ $(CP) $@ $(BIN)

libnewran.a: newran
	@ $(MAKE) -C $(NRDIR) -ef Makefile libnewran

clean:
ifeq ($(BUILD_ENV),WIN32_MINGW)
	@- $(RM) *.o ITGSend$(SUFFIX) $(BIN)\ITGSend$(SUFFIX)
else
	@ $(RM) *.o ITGSend$(SUFFIX) $(BIN)/ITGSend$(SUFFIX)
endif
	@ $(MAKE) -C $(NRDIR) clean

#------------------
include ../common.mk
#------------------

=== src/libITG/Makefile ===
ifdef UNIX
	CXXFLAGS += -fPIC
endif

OBJS = ITGapi.o ../$(THOBJS)

all:   libITG$(SOSUFFIX)

libITG$(SOSUFFIX): ITGapi.h ITGapi.o
ifeq ($(BUILD_ENV),WIN32_MINGW)
	@ echo [ LD ]  $@ ^<- $(OBJS)
else
	@ printf "[ LD ]\t$@ <- $(OBJS)\n"
endif
	@ $(CXX) $(CXXFLAGS) -shared -o $@ $(OBJS) $(LDFLAGS)
	@ $(CP) $@ $(BIN)

clean:
ifeq ($(BUILD_ENV),WIN32_MINGW)
	@- $(RM) *.o libITG$(SOSUFFIX) $(BIN)\libITG$(SOSUFFIX)
else
	@ $(RM) *.o libITG$(SOSUFFIX) $(BIN)/libITG$(SOSUFFIX)
endif

#---------------
include ../common.mk
#---------------

=== src/ITGSend/newran/Makefile ===
# D-ITG newran Makefile wrapper 

all: libnewran

#-----------------
include nr_gnu.mak
#-----------------

libnewran: $(newran_lobj)
ifeq ($(BUILD_ENV),WIN32_MINGW)
	@ echo [ AR ]  $@.a ^<- $(newran_lobj)
else
	@ printf "[ AR ]\t$@.a <- $(newran_lobj)\n"
endif
	@ $(AR) -cr $@.a $(newran_lobj)
ifeq ($(BUILD_ENV),WIN32_MINGW)
	@ echo [ RL ]  $@.a
else
	@ printf "[ RL ]\t$@.a\n"
endif
	@ $(RANLIB) $@.a
	
clean:
	@- $(RM) *.o *.a


#---------------------
include ../../common.mk
#---------------------

## d-itg 2.8.1%7erc1

=== src/ITGLog/Makefile ===
all:   ITGLog
OBJS = ../common/ITG.o ../common/timestamp.o ../$(THOBJS) channel.o ITGLog.o

ITGLog: ../common/ITG.h ITGLog.cpp $(OBJS)
	$(CXX) $(CXXFLAGS) $(OBJS) -o $@$(SUFFIX) $(LDFLAGS)
	$(MV) $@$(SUFFIX) "$(BIN)"

clean:
	$(RM) *.o ITGLog$(SUFFIX) "$(BIN)"ITGLog$(SUFFIX)

## d-itg 2.8.1-r1023

=== debian/changelog ===
d-itg (2.8.1-r1023-7) unstable; urgency=medium

  * QA upload.
  * Fix Homepage
  * d/watch: Version=5
  * Maintain in Debian team on Salsa
  * d/copyright: DEP5
  * Standards-Version: 4.7.2 (routine-update)
  * Do not use "we" in description
  * d/rules: Hardening options

 -- Andreas Tille <tille@debian.org>  Sat, 06 Dec 2025 23:46:23 +0100

d-itg (2.8.1-r1023-6) unstable; urgency=medium

  * QA upload.
  * debian/rules: Set FORCE_SOURCE_DATE=1 in order for texlive to respect
    SOURCE_DATE_EPOCH when generating d-itg-manual.pdf. (Closes: #983832)
  * debian/control: Set Rules-Requires-Root to "no".

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Sat, 08 Oct 2022 12:28:56 -0700

d-itg (2.8.1-r1023-5) unstable; urgency=medium

  * QA upload.
  * Fix ftbfs with GCC-11. (Closes: #984030)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 01 Sep 2022 21:42:00 +0100

d-itg (2.8.1-r1023-4) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as mantainer. (see #812612)
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control:
      - Bumped Standards-Version to 4.5.0.
      - Changed Priority from extra to optional.

 -- Gleisson Jesuino Joaquim Cardoso <gleissoncg2@gmail.com>  Tue, 12 May 2020 04:19:01 -0300

d-itg (2.8.1-r1023-3) unstable; urgency=medium

  * debian/control: Standards-Version: 3.9.5
  * Updated manual from upstream

 -- Roland Stigge <stigge@antcom.de>  Sat, 21 Dec 2013 00:17:45 +0100

d-itg (2.8.1-r1023-2) unstable; urgency=low

  * debian/watch updated

 -- Roland Stigge <stigge@antcom.de>  Thu, 24 Oct 2013 11:43:47 +0200

d-itg (2.8.1-r1023-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Tue, 22 Oct 2013 15:11:14 +0200

=== debian/control ===
Source: d-itg
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), libsctp-dev, texlive, texlive-latex-extra
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/d-itg
Vcs-Git: https://salsa.debian.org/debian/d-itg.git
Homepage: https://traffic.comics.unina.it/software/ITG/

Package: d-itg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Distributed Internet Traffic Generator
 D-ITG (Distributed Internet Traffic Generator) is a platform capable to
 produce traffic at packet level accurately replicating appropriate stochastic
 processes for both IDT (Inter Departure Time) and PS (Packet Size) random
 variables (exponential, uniform, cauchy, normal, pareto, ...). D-ITG supports
 both IPv4 and IPv6 traffic generation and it is capable to generate traffic at
 network, transport, and application layer. Upstream believes that D-ITG shows
 interesting properties when compared to other traffic generators.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,14 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
+# Ensure texlive respects SOURCE_DATE_EPOCH
+export FORCE_SOURCE_DATE=1
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
 	dh $@

=== debian/watch ===
Version: 5

Source: https://traffic.comics.unina.it/software/ITG/download.php
Matching-Pattern: codice/D-ITG-(.*)-src\.zip
